Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model.multiple
Interface MultyDateChoose

All Superinterfaces:
  DateChoose, java.io.Serializable

All Known Implementing Classes:
  MultyDateChooseModel

    public interface MultyDateChoose

extends DateChoose

Interface for multy selection model.
Интерфейс для модели, допускающей множественный выбор.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `DateChoose`

Method Summary
`MultyModelBehavior` | `getBehavior()` Get multiple choise mode.
`java.lang.Iterable<java.util.Calendar>` | `getSelectedDates()` Get all selected dates.
`java.lang.Iterable<Period>` | `getSelectedPeriods()` Get selected periods.
`PeriodSet` | `getSelectedPeriodSet()` Get selected periods.
`void` | `reset()` Resets selection.
`void` | `setAdd(boolean add)` Sets period or date addition mode.
`void` | `setBehavior(MultyModelBehavior behavior)` Sets multiple choise mode.
`void` | `setMode(MultySelectModes mode, boolean add)` Sets selection mode.
`void` | `setPeriodSelectionStarted(boolean periodSelectionStarted)` User started period selection.

Methods inherited from interface datechooser.model.DateChoose
`addCommitListener, addCursorMoveListener, addPropertyChangeListener, addSelectionChangedListener, commit, fireSelectionChange, getCellCaption, getCellDate, getCellState, getColsCount, getCurrent, getDefaultDate, getForbidden, getLocale, getMaxConstraint, getMinConstraint, getRowsCount, getSelectedDate, getVisibleDate, isAutoScroll, isCursor, isEnabled, isLocked, isNothingAllowed, isNothingSelected, isSelected, isShowNeighbourMonth, monthShift, needsFullValidation, removeCommitListener, removeCursorMoveListener, removePropertyChangeListener, removeSelectionChangedListener, select, select, selectNothing, setAutoScroll, setConstraints, setDefaultDate, setEnabled, setForbidden, setLocale, setLocked, setMaxConstraint, setMinConstraint, setNothingAllowed, setNothingSelected, setSelectedDate, setShowNeighbourMonth, shift, showMonthYear, tryApplySelection, yearShift`

Method Detail

### reset

    void reset()

  Resets selection.
  Сброс , чтобы выбирать сначала.

  Since:
    1.0

### setMode

    void setMode(MultySelectModes mode,
                 boolean add)

  Sets selection mode. Установка режима выбора.

  Since:
    1.0
  See Also:
    `MultySelectModes`

### getSelectedDates

    java.lang.Iterable<java.util.Calendar> getSelectedDates()

  Get all selected dates.
  Возвращает выбранные даты.

  Since:
    1.0

### getSelectedPeriods

    java.lang.Iterable<Period> getSelectedPeriods()

  Get selected periods.
  Возвращает выбранные периоды.

  Since:
    1.0
  See Also:
    `Period`

### setAdd

    void setAdd(boolean add)

  Sets period or date addition mode.
  Устанавливает режим добавления даты или периода.

  Since:
    1.0

### setPeriodSelectionStarted

    void setPeriodSelectionStarted(boolean periodSelectionStarted)

  User started period selection.
  Указывает что было выбрано начало периода.

  Since:
    1.0

### getBehavior

    MultyModelBehavior getBehavior()

  Get multiple choise mode.
  Возвращает поведение модели (варианты множественного выбора).

  Since:
    1.0
  See Also:
    `MultyModelBehavior`

### setBehavior

    void setBehavior(MultyModelBehavior behavior)

  Sets multiple choise mode.
  Устанавливает поведение модели (варианты множественного выбора).

  Since:
    1.0
  See Also:
    `MultyModelBehavior`

### getSelectedPeriodSet

    PeriodSet getSelectedPeriodSet()

  Get selected periods.
  Возвращает выбранные периоды.

  Since:
    1.0
  See Also:
    `PeriodSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD